{% extends 'core/base.html' %}
{% load static %}

{% block header %}
<link rel="stylesheet" type="text/css" href="{% static 'docket/css/docket.css' %}">
{% endblock %}

{% block content %}
<form id="edit-item-form" method="POST">
	{% csrf_token %}

	<div class="flexdiv">
		<label>Purge items after</label>
		<input class="smallNumber" type="number" size="4" 
			name="purge_days" value="{{ settings.purge_days }}" />
		<label>days</label>
	</div>

	<div class="">Update Colors</div>

	<div class="flexdiv">
		<input type="color" name="update_new_color" value="{{ settings.update_new_color }}" />
		<label>New</label>
		<input class="settingSpacer" type="text" />
	</div>

	<div class="flexdiv">
		<input type="color" name="update_aging_color" value="{{ settings.update_aging_color }}" />
		<label>After</label>
		<input class="smallNumber" type="number" size="4"
			name="update_aging_days" size="3" value="{{ settings.update_aging_days }}" />
		<label>days</label>
	</div>

	<div class="flexdiv">
		<input type="color" name="update_old_color" value="{{ settings.update_old_color }}" />
		<label>After</label>
		<input class="smallNumber" type="number" size="4"
			name="update_old_days" size="3" value="{{ settings.update_old_days }}" />
		<label>days</label>
	</div>

	<div class="flexdiv">
		<input type="color" name="update_purge_color" value="{{ settings.update_purge_color }}" />
		<label>Within</label>
		<input class="smallNumber" type="number" size="4"
			name="update_purge_warning" size="3" value="{{ settings.update_purge_warning }}" />
		<label>days of purge</label>
	</div>

	<div class="">Priority Colors</div>

	<div class="flexdiv">
		<input type="color" name="priority_low_color" value="{{ settings.priority_low_color }}" />
		<label>Low</label>
		<input class="settingSpacer" type="text" />
	</div>

	<div class="flexdiv">
		<input type="color" name="priority_medium_color" value="{{ settings.priority_medium_color }}" />
		<label>Medium</label>
		<input class="settingSpacer" type="text" />
	</div>

	<div class="flexdiv">
		<input type="color" name="priority_high_color" value="{{ settings.priority_high_color }}" />
		<label>High</label>
		<input class="settingSpacer" type="text" />
	</div>

	<div class="">Status Colors</div>

	<div class="flexdiv">
		<input type="color" name="status_open_color" value="{{ settings.status_open_color }}" />
		<label>Open</label>
		<input class="settingSpacer" type="text" />
	</div>

	<div class="flexdiv">
		<input type="color" name="status_working_color" value="{{ settings.status_working_color }}" />
		<label>Working</label>
		<input class="settingSpacer" type="text" />
	</div>

	<div class="flexdiv">
		<input type="color" name="status_onhold_color" value="{{ settings.status_onhold_color }}" />
		<label>On Hold</label>
		<input class="settingSpacer" type="text" />
	</div>

	<div class="flexdiv">
		<input type="color" name="status_closed_color" value="{{ settings.status_closed_color }}" />
		<label>Closed</label>
		<input class="settingSpacer" type="text" />
	</div>

	<input type="submit" value="Save" />

	<div id="categories" class="">Categories</div>

	{% for cat in categories %}
	<div class="flexdiv">
		<input type="text" name="category_{{ cat.id }}" value="{{ cat.name }}" />
		<button class="warning-color" type="submit" value="{{ cat.id }}" name="submit_deletecategory">X</button>
	</div>
	{% endfor %}

	<div class="flexdiv">
		<button type="submit" value="+" name="submit_newcategory">+</button>
		<input type="text" name="newcategory" value="" />
	</div>

	<!-- BOTTOM MARGIN -->
	<!-- This is needed to malke sure the browser
		doesn't cover up the bottom of the page with controls. -->
	<div class="list-bottom-margin"></div>
</form>
{% endblock %}